CollectionType.Kind (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db.marshal

## Enum CollectionType.Kind

- java.lang.Object
- - java.lang.Enum<CollectionType.Kind>
  - - org.apache.cassandra.db.marshal.CollectionType.Kind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CollectionType.Kind>
  Enclosing class:
    CollectionType<T>

      public static enum CollectionType.Kind
      extends java.lang.Enum<CollectionType.Kind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LIST`
    `MAP`
    `SET`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ColumnSpecification` | `makeCollectionReceiver(ColumnSpecification collection, boolean isKey)`
    `static CollectionType.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CollectionType.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAP

          public static final CollectionType.Kind MAP

    - #### SET

          public static final CollectionType.Kind SET

    - #### LIST

          public static final CollectionType.Kind LIST

  - ### Method Detail

    - #### values

          public static CollectionType.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CollectionType.Kind c : CollectionType.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CollectionType.Kind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### makeCollectionReceiver

          public abstract ColumnSpecification makeCollectionReceiver(ColumnSpecification collection,
                                                                     boolean isKey)

Copyright © 2018 The Apache Software Foundation